/**
 * WordPress dependencies
 */
import { useEffect, useRef } from '@wordpress/element';

/**
 * Internal dependencies
 */

import { getSlug } from './utils';
const SlugView = ({
  item
}) => {
  const slug = getSlug(item);
  const originalSlugRef = useRef(slug);
  useEffect(() => {
    if (slug && originalSlugRef.current === undefined) {
      originalSlugRef.current = slug;
    }
  }, [slug]);
  const slugToDisplay = slug || originalSlugRef.current;
  return `${slugToDisplay}`;
};
export default SlugView;
//# sourceMappingURL=slug-view.js.map