/**
 * WordPress dependencies
 */
import { __experimentalHStack as HStack, Icon } from '@wordpress/components';

/**
 * Internal dependencies
 */

import STATUSES from './status-elements';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
function StatusView({
  item
}) {
  const status = STATUSES.find(({
    value
  }) => value === item.status);
  const label = status?.label || item.status;
  const icon = status?.icon;
  return /*#__PURE__*/_jsxs(HStack, {
    alignment: "left",
    spacing: 0,
    children: [icon && /*#__PURE__*/_jsx("div", {
      className: "edit-site-post-list__status-icon",
      children: /*#__PURE__*/_jsx(Icon, {
        icon: icon
      })
    }), /*#__PURE__*/_jsx("span", {
      children: label
    })]
  });
}
export default StatusView;
//# sourceMappingURL=status-view.js.map