/**
 * WordPress dependencies
 */

import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import { getItemTitle } from '../../actions/utils';
import TitleView from './view';
const titleField = {
  type: 'text',
  id: 'title',
  label: __('Title'),
  placeholder: __('No title'),
  getValue: ({
    item
  }) => getItemTitle(item),
  render: TitleView,
  enableHiding: false,
  enableGlobalSearch: true
};

/**
 * Title for the any entity with a `title` property.
 * For patterns, pages or templates you should use the respective field
 * because there are some differences in the rendering, labels, etc.
 */
export default titleField;
//# sourceMappingURL=index.js.map