/**
 * External dependencies
 */
import clsx from 'clsx';
/**
 * WordPress dependencies
 */
import { __experimentalHStack as HStack } from '@wordpress/components';
import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import { getItemTitle } from '../../actions/utils';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export function BaseTitleView({
  item,
  className,
  children
}) {
  const renderedTitle = getItemTitle(item);
  return /*#__PURE__*/_jsxs(HStack, {
    className: clsx('fields-field__title', className),
    alignment: "center",
    justify: "flex-start",
    children: [/*#__PURE__*/_jsx("span", {
      children: renderedTitle || __('(no title)')
    }), children]
  });
}
export default function TitleView({
  item
}) {
  return /*#__PURE__*/_jsx(BaseTitleView, {
    item: item
  });
}
//# sourceMappingURL=view.js.map