"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FeaturedImageView = void 0;
var _data = require("@wordpress/data");
var _coreData = require("@wordpress/core-data");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const FeaturedImageView = ({
  item
}) => {
  const mediaId = item.featured_media;
  const media = (0, _data.useSelect)(select => {
    const {
      getEntityRecord
    } = select(_coreData.store);
    return mediaId ? getEntityRecord('root', 'media', mediaId) : null;
  }, [mediaId]);
  const url = media?.source_url;
  if (url) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
      className: "fields-controls__featured-image-image",
      src: url,
      alt: ""
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
    className: "fields-controls__featured-image-placeholder"
  });
};
exports.FeaturedImageView = FeaturedImageView;
//# sourceMappingURL=featured-image-view.js.map