"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ParentView = void 0;
var _data = require("@wordpress/data");
var _coreData = require("@wordpress/core-data");
var _i18n = require("@wordpress/i18n");
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const ParentView = ({
  item
}) => {
  const parent = (0, _data.useSelect)(select => {
    const {
      getEntityRecord
    } = select(_coreData.store);
    return item?.parent ? getEntityRecord('postType', item.type, item.parent) : null;
  }, [item.parent, item.type]);
  if (parent) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: (0, _utils.getTitleWithFallbackName)(parent)
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: (0, _i18n.__)('None')
  });
};
exports.ParentView = ParentView;
//# sourceMappingURL=parent-view.js.map