"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _utils = require("./utils");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const SlugView = ({
  item
}) => {
  const slug = (0, _utils.getSlug)(item);
  const originalSlugRef = (0, _element.useRef)(slug);
  (0, _element.useEffect)(() => {
    if (slug && originalSlugRef.current === undefined) {
      originalSlugRef.current = slug;
    }
  }, [slug]);
  const slugToDisplay = slug || originalSlugRef.current;
  return `${slugToDisplay}`;
};
var _default = exports.default = SlugView;
//# sourceMappingURL=slug-view.js.map